<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">

<!--Converted with LaTeX2HTML 2002-2-1 (1.70)
original version by:  Nikos Drakos, CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>*ELECTROMAGNETICS</TITLE>
<META NAME="description" CONTENT="*ELECTROMAGNETICS">
<META NAME="keywords" CONTENT="ccx">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">

<META NAME="Generator" CONTENT="LaTeX2HTML v2002-2-1">
<META HTTP-EQUIV="Content-Style-Type" CONTENT="text/css">

<LINK REL="STYLESHEET" HREF="ccx.css">

<LINK REL="next" HREF="node233.html">
<LINK REL="previous" HREF="node231.html">
<LINK REL="up" HREF="node188.html">
<LINK REL="next" HREF="node233.html">
</HEAD>

<BODY >
<!--Navigation Panel-->
<A NAME="tex2html3945"
  HREF="node233.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html3941"
  HREF="node188.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html3935"
  HREF="node231.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html3943"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html3946"
  HREF="node233.html">*ELEMENT</A>
<B> Up:</B> <A NAME="tex2html3942"
  HREF="node188.html">Input deck format</A>
<B> Previous:</B> <A NAME="tex2html3936"
  HREF="node231.html">*ELECTRICAL CONDUCTIVITY</A>
 &nbsp; <B>  <A NAME="tex2html3944"
  HREF="node1.html">Contents</A></B> 
<BR>
<BR>
<!--End of Navigation Panel-->

<H2><A NAME="SECTION000841000000000000000"></A><A NAME="electromagnetics"></A>
<BR>
*ELECTROMAGNETICS
</H2>

<P>
Keyword type: step

<P>
This procedure is used to perform a electromagnetic analysis. If transient, it
may be combined with a heat analysis. In that case the calculation is  nonlinear since the material properties depend on the
solution, i.e. the temperature.

<P>
There are seven optional parameters: SOLVER, DIRECT, MAGNETOSTATICS,
DELTMX, TIME RESET and TOTAL TIME AT START and NO HEAT TRANSFER. 

<P>
SOLVER determines the
package used to solve the ensuing system of equations. The following solvers
can be selected:

<P>

<UL>
<LI>the SGI solver
</LI>
<LI>PARADISO
</LI>
<LI>SPOOLES [<A
 HREF="node378.html#Ashcraft1">3</A>,<A
 HREF="node378.html#Ashcraft2">4</A>]. 
</LI>
<LI>TAUCS 
</LI>
<LI>the iterative solver by Rank and Ruecker [<A
 HREF="node378.html#Rank">62</A>], which is based on
  the algorithms by Schwarz [<A
 HREF="node378.html#Schwarz">66</A>]. 
</LI>
</UL>

<P>
Default is the first solver which has been installed of the following list:
SGI, PARDISO, SPOOLES and TAUCS. If none is installed, the default is the iterative solver, which comes with the CalculiX
package.

<P>
The SGI solver is the fastest, but is is proprietary: if you own SGI
hardware you might have gotten the scientific software package as well, which
contains the SGI sparse system solver. SPOOLES is also very fast, but has no
out-of-core capability: the size of systems you can solve is limited by your
RAM memory. With 2GB of RAM you can solve up to 250,000 equations. TAUCS is
also good, but my experience is limited to the <B><IMG
 WIDTH="36" HEIGHT="16" ALIGN="BOTTOM" BORDER="0"
 SRC="img1390.png"
 ALT="$ LL^T$"></B> decomposition, which
only applies to positive definite systems. It has an out-of-core capability
and also offers a <B><IMG
 WIDTH="28" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img1391.png"
 ALT="$ LU$"></B> decomposition, however, I was not able to run either of
them so far. Next comes the iterative solver. If SOLVER=ITERATIVE SCALING is
selected, the pre-conditioning is limited to a scaling of the diagonal terms,
SOLVER=ITERATIVE CHOLESKY triggers Incomplete Cholesky
pre-conditioning. Cholesky pre-conditioning leads to a better convergence and
maybe to shorter execution times, however, it requires additional storage
roughly corresponding to the non-zeros in the matrix. If you are short of
memory, diagonal scaling might be your last resort. The iterative methods
perform well for truly three-dimensional structures. For instance,
calculations for a hemisphere were about nine times faster with the ITERATIVE
SCALING solver, and three times faster with the ITERATIVE CHOLESKY solver than
with SPOOLES. For two-dimensional structures such as plates or shells, the
performance might break down drastically and convergence often requires the
use of Cholesky pre-conditioning. SPOOLES (and any of the other direct solvers)
performs well in most situations with emphasis on slender structures but
requires much more storage than the iterative solver. PARDISO is the Intel proprietary solver.

<P>
The parameter DIRECT indicates that automatic incrementation should be
switched off. The increments will have the fixed length specified by the user
on the second line.

<P>
The parameter MAGNETOSTATICS indicates that only the steady state should be
calculated. Since the magnetic field does not change, no heat is produced and
a heat transfer analysis does not make sense. The loading (coil current in the
shell elements) is applied by its
full strength. If the
MAGNETOSTATICS parameter is absent, the calculation is assumed to be time
dependent and a transient analysis is performed. A transient analysis triggers
by default a complementary heat transfer analysis, thus the
temperature dependence of the properties of the materials involved must be
provided. Here too, the coil currents are by
default applied by their full strength at the start of the step. Other loading
patterns can be defined by an <A HREF="node189.html#amplitude">*AMPLITUDE</A> card. 

<P>
The parameter DELTMX can be used to limit the temperature change in two
subsequent increments. If the temperature change exceeds DELTMX the increment
is restarted with a size equal to <B><IMG
 WIDTH="28" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1418.png"
 ALT="$ D_A$"></B> times DELTMX divided by the
temperature change. The default for <B><IMG
 WIDTH="28" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1418.png"
 ALT="$ D_A$"></B> is 0.85, however, it can be changed
by the <A HREF="node214.html#controls">*CONTROLS</A> keyword. DELTMX is only active in transient calculations. Default value is <B><IMG
 WIDTH="34" HEIGHT="16" ALIGN="BOTTOM" BORDER="0"
 SRC="img1438.png"
 ALT="$ 10^{30}$"></B>.

<P>
The parameter TIME RESET can be used to force the total time at the
end of the present step to coincide with the total time at the end of the
previous step. If there is no previous step the targeted total time is
zero. If this parameter is absent the total time at the end of the present step is the
total time at the end of the previous step plus the time period of the present
step (2nd parameter underneath the *HEAT TRANSFER keyword). Consequently, if the time
at the end of the previous step is 10. and the present time period is 1., the
total time at the end of the present step is 11. If the TIME RESET parameter
is used, the total time at the beginning of the present step is 9. and at the
end of the present step it will be 10. This is sometimes useful if
transient heat transfer calculations are preceded by a stationary heat
transfer step to reach steady state conditions at the start of the transient
heat transfer calculations. Using the TIME RESET parameter in the stationary
step (the first step in the calculation) will lead to a zero total time at the start of the subsequent
instationary step. 

<P>
The parameter TOTAL TIME AT START can be used to set the total time
at the start of the step to a specific value.

<P>
Finally, the paramter NO HEAT TRANSFER may be used in a transient analysis to
indicate that no heat generated by the Eddy currents should be
calculated. However, an external temperature field may be defined using the
<A HREF="node296.html#temperature">*TEMPERATURE</A> card.

<P>

<P><P>
<BR>

<P>
First line:

<UL>
<LI>*ELECTROMAGNETICS
</LI>
<LI>Enter any needed parameters and their values.
</LI>
</UL>

<P>
Second line:

<UL>
<LI>Initial time increment. This value will be modified due to automatic incrementation, unless the parameter DIRECT was specified (default 1.).
</LI>
<LI>Time period of the step (default 1.).
</LI>
<LI>Minimum time increment allowed. Only active if DIRECT is not specified. Default is the initial time increment or 1.e-5 times the time period of the step, whichever is smaller.
</LI>
<LI>Maximum time increment allowed. Only active if DIRECT is not specified. Default is 1.e+30.
</LI>
</UL>

<P>
Example:

<P>
<PRE>
*ELECTROMAGNETICS,DIRECT
.1,1.
</PRE>

<P>
defines a static step and selects the SPOOLES solver as linear equation solver
in the step (default). The second line indicates that the initial time increment is .1 and the total step time is 1. Furthermore, the parameter DIRECT leads to a fixed time increment. Thus, if successful, the calculation consists of 10 increments of length 0.1.

<P>

<P><P>
<BR>
Example files: induction1.

<P>
<HR>
<!--Navigation Panel-->
<A NAME="tex2html3945"
  HREF="node233.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html3941"
  HREF="node188.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html3935"
  HREF="node231.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html3943"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html3946"
  HREF="node233.html">*ELEMENT</A>
<B> Up:</B> <A NAME="tex2html3942"
  HREF="node188.html">Input deck format</A>
<B> Previous:</B> <A NAME="tex2html3936"
  HREF="node231.html">*ELECTRICAL CONDUCTIVITY</A>
 &nbsp; <B>  <A NAME="tex2html3944"
  HREF="node1.html">Contents</A></B> 
<!--End of Navigation Panel-->
<ADDRESS>
guido dhondt
2016-07-31
</ADDRESS>
</BODY>
</HTML>
